Bug 589376 - [enh] blacklist cyclades driver
[enh] blacklist cyclades driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 587976 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 21:23 EDT by dcpub
Modified: 2010-12-03 10:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:02:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dcpub 2010-05-05 21:23:32 EDT
Description of problem:
After the latest updates on 5/1/2010, ttyC0-7 from Cyclades card have been disabled.

Version-Release number of selected component (if applicable):
ModemManager 0.3-9

How reproducible:
Just do updates

Steps to Reproduce:
1. N/A
2.
3.
  
Actual results:
Serial ports disabled

Expected results:
No change from serial ports being functional

Additional info:
Fedora 12 - from /var/log/messages:  Appears that ModemManager is opening/closing serial ports.  Only message I can find.

(ttyC0) closing serial device..., etc.

Cyclades card:

Cyclades driver 2.6 (built Apr  5 2010 16:17:00)
cyclades 0000:01:0a.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
cyclades 0000:01:0a.0: Cyclom-Y/PCI #1 found: 8 channels starting from port 0
Comment 1 Dan Williams 2010-05-06 19:51:45 EDT
ModemManager will open the serial ports and probe them for AT capability.  We can blacklist the cyclades driver if necessary, which is probably the right thing to do here if nobody hooks modems up to these cards (which I'd assume they don't usually do).

However, I don't expect that the ports are *disabled* after being probed, because MM only opens the port, writes something to it, listens for a response, and then closes it.  If after that the ports are disabled, that may indicate a driver bug in cyclades.
Comment 2 dcpub 2010-05-06 22:10:07 EDT
That looks like exactly what has happened.  Here is the snippet from /var/log messages:

May  6 21:53:32 calcium modem-manager: (ttyC0) closing serial device...
May  6 21:53:32 calcium modem-manager: (ttyC0) opening serial device...
May  6 21:53:32 calcium modem-manager: (ttyC1) closing serial device...
May  6 21:53:32 calcium modem-manager: (ttyC1) opening serial device...
May  6 21:53:32 calcium modem-manager: (ttyC2) closing serial device...
May  6 21:53:32 calcium modem-manager: (ttyC2) opening serial device...
May  6 21:53:32 calcium modem-manager: (ttyC3) closing serial device...
May  6 21:53:33 calcium modem-manager: (ttyC3) opening serial device...
May  6 21:53:33 calcium seahorse-daemon[1427]: init gpgme version 1.1.8
May  6 21:53:33 calcium kernel: fuse init (API version 7.13)
May  6 21:53:34 calcium modem-manager: (ttyC4) closing serial device...
May  6 21:53:34 calcium modem-manager: (ttyC4) opening serial device...
May  6 21:53:34 calcium modem-manager: (ttyC5) closing serial device...
May  6 21:53:34 calcium modem-manager: (ttyC5) opening serial device...
May  6 21:53:34 calcium rtkit-daemon[1305]: Sucessfully made thread 1461 of process 1461 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
May  6 21:53:34 calcium pulseaudio[1461]: pid.c: Stale PID file, overwriting.
May  6 21:53:34 calcium rtkit-daemon[1305]: Sucessfully made thread 1462 of process 1461 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
May  6 21:53:34 calcium rtkit-daemon[1305]: Sucessfully made thread 1463 of process 1461 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
May  6 21:53:35 calcium modem-manager: (ttyC6) closing serial device...
May  6 21:53:35 calcium modem-manager: (ttyC6) opening serial device...
May  6 21:53:36 calcium modem-manager: (ttyC7) closing serial device...
May  6 21:53:36 calcium modem-manager: (ttyC7) opening serial device...
May  6 21:53:37 calcium rtkit-daemon[1305]: Sucessfully made thread 1638 of process 1638 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
May  6 21:53:37 calcium pulseaudio[1638]: pid.c: Daemon already running.
May  6 21:53:39 calcium modem-manager: (ttyC0) closing serial device...
May  6 21:53:39 calcium modem-manager: (ttyC1) closing serial device...
May  6 21:53:39 calcium modem-manager: (ttyC2) closing serial device...
May  6 21:53:39 calcium modem-manager: (ttyC3) closing serial device...
May  6 21:53:40 calcium modem-manager: (ttyC4) closing serial device...
May  6 21:53:40 calcium modem-manager: (ttyC5) closing serial device...
May  6 21:53:41 calcium modem-manager: (ttyC6) closing serial device...
May  6 21:53:42 calcium modem-manager: (ttyC7) closing serial device...

I updated to the latest testing versions of Network Manager and Modem Manager, so this is the messages after the update.

Hope there is not a bug.  I've been using this card with no problem up to now.
Comment 3 dcpub 2010-05-11 20:13:34 EDT
*** Bug 587976 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2010-11-03 11:32:37 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 10:02:06 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.